<?php
/**
 * Pagination Settings
 *
 * @package Vintuna
 */

$vintuna_default = vintuna_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'vintuna_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'vintuna' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'vintuna_pagination_layout',
	array(
	'default'           => $vintuna_default['vintuna_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'vintuna_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'vintuna' ),
	'section'     => 'vintuna_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','vintuna'),
		'numeric' => esc_html__('Numeric Method','vintuna'),
		'load-more' => esc_html__('Ajax Load More Button','vintuna'),
		'auto-load' => esc_html__('Ajax Auto Load','vintuna'),
	),
	)
);